Subject: Re: [PATCH v9 3/4] vimdiff: add tool documentation

From: Junio C Hamano <[email-masked]>
Date: Sun, 03 Apr 2022 15:44:34 -0700

Philippe Blain <[email-masked]> writes:

> Hi Fernando,
>
> Le 2022-03-30 à 15:19, Fernando Ramos a écrit :
>> Running 'git {merge,diff}tool --tool-help' now also prints usage
>> information about the vimdiff tool (and its variants) instead of just
>> its name.
>> 
>> Two new functions ('diff_cmd_help()' and 'merge_cmd_help()') have been
>> added to the set of functions that each merge tool (ie. scripts found
>> inside "mergetools/") can overwrite to provided tool specific
>> information.
>> 
>> Right now, only 'mergetools/vimdiff' implements these functions, but
>> other tools are encouraged to do so in the future, specially if they
>> take configuration options not explained anywhere else (as it is the
>> case with the 'vimdiff' tool and the new 'layout' option)
>> 
>> Note that the function 'show_tool_names', used in the implmentation of
>
> typo here: implementation (by bad!)
>
> Maybe Junio will correct it before merging to next ?

Thanks.

$ git range-diff @{1}...
1:  7efd9fdf62 ! 1:  7b5cf8be18 vimdiff: add tool documentation
    @@ Commit message
         take configuration options not explained anywhere else (as it is the
         case with the 'vimdiff' tool and the new 'layout' option)
     
    -    Note that the function 'show_tool_names', used in the implmentation of
    +    Note that the function 'show_tool_names', used in the implementation of
         'git mergetool --tool-help', is also used in Documentation/Makefile to
         generate the list of allowed values for the configuration variables
         '{diff,merge}.{gui,}tool'. Adjust the rule so its output is an Asciidoc
2:  3e7aa9c425 = 2:  980145f747 mergetools: add description to all diff/merge tools